import java.util.*;

public class ZipListDemo {
    public static void main(String[] args) {
        List<Integer> ns = new LinkedList<>();
        ns.add(1);
        ns.add(4);
        ns.add(6);
        ns.add(9);

        ZipList<Integer> zl = new ZipList<>(ns);
        try {
            System.out.println(zl.get());        
            zl.move(Direction.RIGHT);
            System.out.println(zl.get());        
            zl.move(Direction.RIGHT);
            zl.move(Direction.LEFT);
            System.out.println(zl.get()); 
        } catch (EmptyFocusException e) {
            System.out.println("List was empty.");
        }
        
        zl.put(5);
        System.out.println(zl.toList());
    }
}
